Groovy Documentation

## org.codehaus.groovy.grails.commons
[Java] Class AnnotationDomainClassArtefactHandler

    java.lang.Object
      org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
          org.codehaus.groovy.grails.commons.DomainClassArtefactHandler
              org.codehaus.groovy.grails.commons.AnnotationDomainClassArtefactHandler

    public class AnnotationDomainClassArtefactHandler
    extends DomainClassArtefactHandler

Detects annotated domain classes for EJB3 style mappings.

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary

Fields inherited from class DomainClassArtefactHandler
TYPE

Fields inherited from class ArtefactHandlerAdapter
log

Method Summary
`java.util.Set` | `getJpaClassNames()`
`boolean` | `isArtefactClass(java.lang.Class clazz)`
`static boolean` | `isJPADomainClass(java.lang.Class clazz)`
`GrailsClass` | `newArtefactClass(java.lang.Class artefactClass)`

Methods inherited from class DomainClassArtefactHandler
getDefaultConstraints, initialize, isArtefactClass, isDomainClass, newArtefactClass, setConfiguration

Methods inherited from class ArtefactHandlerAdapter
getArtefactForFeature, getPluginName, getType, initialize, isArtefact, isArtefactClass, isArtefactGrailsClass, newArtefactClass

Method Detail

### getJpaClassNames

    public java.util.Set getJpaClassNames()

### isArtefactClass

    @Override
    public boolean isArtefactClass(@SuppressWarnings("rawtypes") java.lang.Class clazz)

### isJPADomainClass

    public static boolean isJPADomainClass(java.lang.Class clazz)

### newArtefactClass

    @Override
    public GrailsClass newArtefactClass(@SuppressWarnings("rawtypes") java.lang.Class artefactClass)

Groovy Documentation